name: CSS basics
ai: "The student should already know the basics of (semantic) static HTML and CSS selectors. He is currently learning the basics about CSS: inline and block-level elements, flexbox, common CSS properties, simple selectors, composed selectors, using the DOM inspector, external stylesheets."
goals:
  css: 1
days: 2
pair: true
resources:
  - |
    Heads up: this is a pretty challenging assignment, requiring you to learn and apply a *lot* of new concepts. Take your time (two or three hours perhaps?) to work through the learning resources below before you start (pair programming) on the assignment. Take notes while studying!
  - link: https://www.youtube.com/watch?v=1PnVor36_40
    title: Learn CSS in 20 minutes
    info: This covers the basics. If you watch this video (and it makes sense to you), you can skip the *CSS basics* Khan Academy tutorial.
  - link: https://www.khanacademy.org/computing/computer-programming/html-css/intro-to-css/pt/css-basics
    title: Khan Academy - CSS basics
    info: A series of interactive courses.
  - link: https://www.khanacademy.org/computing/computer-programming/html-css/css-text-properties/v/css-zen-garden
    title: Khan Academy - CSS text properties
  - link: https://www.khanacademy.org/computing/computer-programming/html-css/css-layout-properties/pt/css-grouping-elements
    title: Khan Academy - CSS layout
  - link: https://www.khanacademy.org/computing/computer-programming/html-css/more-css-selectors/pt/using-multiple-css-classes
    title: Khan Academy - More CSS selectors
  - link: https://flukeout.github.io/
    title: Learn CSS selectors by playing a diner game.
  - link: https://www.khanacademy.org/computing/computer-programming/html-css/more-ways-to-embed-css/pt/using-external-stylesheets
    title: Khan Academy - Using external stylesheets

  - link: https://developers.google.com/web/tools/chrome-devtools/dom/
    title: Get Started With Viewing And Changing The DOM
    info: |
      Only the first chapter: *View DOM Nodes*. The DOM inspector, which is part of your browser's developer tools, are indispensible while doing CSS work. It shows you how the browser applies your CSS rules to the HTML, helping you to find and resolve problems. This page explains how to use it in Google Chrome. In other browsers, it works almost the same. <Strong>When doing web development you will *always* want to have these tools open!</strong>

  -
    link: https://www.youtube.com/watch?v=K74l26pE4YA
    title: Fireship - CSS Flexbox in 100 Seconds
    info: When you need to position two or more elements relative to one another, *Flexbox* position is usually the way to go. This video provides a quick introduction.

  - link: https://www.joshwcomeau.com/css/interactive-guide-to-flexbox/
    title: An Interactive Guide to Flexbox
    info: This is a more in-depth but fantastically well explained tutorial on *Flexbox*. Highly recommended!
  